classification
Title: remove duplicate bind addresses in create_server
Type: behavior Stage: resolved
Components: asyncio Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: gvanrossum, python-dev, sebastien.bourdeauducq, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2016-02-11 14:37 by sebastien.bourdeauducq, last changed 2016-03-02 16:17 by yselivanov. This issue is now closed.

Files
File name Uploaded Description Edit
asyncio_norebind.diff sebastien.bourdeauducq, 2016-02-11 14:37 patch
Messages (4)
msg260108 - (view) Author: Sebastien Bourdeauducq (sebastien.bourdeauducq) * Date: 2016-02-11 14:37
https://github.com/python/asyncio/issues/315

New patch attached.
msg260980 - (view) Author: Sebastien Bourdeauducq (sebastien.bourdeauducq) * Date: 2016-02-28 16:37
Can someone have a quick look at this please?
msg261121 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-02 16:17
New changeset bbc8cb86f05e by Yury Selivanov in branch '3.5':
asyncio: Remove duplicate bind addresses in create_server.
https://hg.python.org/cpython/rev/bbc8cb86f05e

New changeset bdf2807aa8c4 by Yury Selivanov in branch 'default':
Merge 3.5 (issue #26338)
https://hg.python.org/cpython/rev/bdf2807aa8c4
msg261122 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2016-03-02 16:17
Committed. Thanks, Sebastien!
History
Date User Action Args
2016-03-02 16:17:58yselivanovsetstatus: open -> closed
versions: + Python 3.6
type: behavior
messages: + msg261122

resolution: fixed
stage: resolved
2016-03-02 16:17:32python-devsetnosy: + python-dev
messages: + msg261121
2016-02-28 16:37:30sebastien.bourdeauducqsetmessages: + msg260980
2016-02-11 14:37:34sebastien.bourdeauducqcreate